Rasa fails to initialize after successful install on Ubuntu 22.04

Hello,

I installed rasa using pip3 install rasa on ubuntu 22.05 LTS Jammy belos is my python & pip version pip 22.0.2 Python 3.10.12 Rasa version installed it installed successfully but is not initializing and gives me long error (as below)

Installing collected packages: pyyaml, rasa Attempting uninstall: pyyaml Found existing installation: PyYAML 5.4.1 Not uninstalling pyyaml at /usr/lib/python3/dist-packages, outside environment /usr Can’t uninstall ‘PyYAML’. No files were found to uninstall. Successfully installed pyyaml-6.0.1 rasa-3.6.19 WARNING: Running pip as the ‘root’ user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: 12. Virtual Environments and Packages — Python 3.12.2 documentation root@cxomni:/home/cxadmin# rasa /usr/lib/python3/dist-packages/requests/init.py:87: RequestsDependencyWarning: urllib3 (2.2.1) or chardet (4.0.0) doesn’t match a supported version! warnings.warn("urllib3 ({}) or chardet ({}) doesn’t match a supported " Traceback (most recent call last): File “/usr/local/bin/rasa”, line 5, in from rasa.main import main File “/usr/local/lib/python3.10/dist-packages/rasa/main.py”, line 15, in from rasa.cli import ( File “/usr/local/lib/python3.10/dist-packages/rasa/cli/evaluate.py”, line 7, in from rasa.core.tracker_store import TrackerStore File “/usr/local/lib/python3.10/dist-packages/rasa/core/tracker_store.py”, line 26, in from boto3.dynamodb.conditions import Key File “/usr/local/lib/python3.10/dist-packages/boto3/init.py”, line 17, in from boto3.session import Session File “/usr/local/lib/python3.10/dist-packages/boto3/session.py”, line 17, in import botocore.session File “/usr/local/lib/python3.10/dist-packages/botocore/session.py”, line 26, in import botocore.client File “/usr/local/lib/python3.10/dist-packages/botocore/client.py”, line 15, in from botocore import waiter, xform_name File “/usr/local/lib/python3.10/dist-packages/botocore/waiter.py”, line 18, in from botocore.docs.docstring import WaiterDocstring File “/usr/local/lib/python3.10/dist-packages/botocore/docs/init.py”, line 15, in from botocore.docs.service import ServiceDocumenter File “/usr/local/lib/python3.10/dist-packages/botocore/docs/service.py”, line 14, in from botocore.docs.client import ( File “/usr/local/lib/python3.10/dist-packages/botocore/docs/client.py”, line 18, in from botocore.docs.example import ResponseExampleDocumenter File “/usr/local/lib/python3.10/dist-packages/botocore/docs/example.py”, line 13, in from botocore.docs.shape import ShapeDocumenter File “/usr/local/lib/python3.10/dist-packages/botocore/docs/shape.py”, line 19, in from botocore.utils import is_json_value_header File “/usr/local/lib/python3.10/dist-packages/botocore/utils.py”, line 39, in import botocore.httpsession File “/usr/local/lib/python3.10/dist-packages/botocore/httpsession.py”, line 45, in from urllib3.contrib.pyopenssl import ( File “/usr/local/lib/python3.10/dist-packages/urllib3/contrib/pyopenssl.py”, line 43, in import OpenSSL.SSL # type: ignore[import-untyped] File “/usr/lib/python3/dist-packages/OpenSSL/init.py”, line 8, in from OpenSSL import crypto, SSL File “/usr/lib/python3/dist-packages/OpenSSL/crypto.py”, line 1579, in class X509StoreFlags(object): File “/usr/lib/python3/dist-packages/OpenSSL/crypto.py”, line 1598, in X509StoreFlags NOTIFY_POLICY = _lib.X509_V_FLAG_NOTIFY_POLICY AttributeError: module ‘lib’ has no attribute ‘X509_V_FLAG_NOTIFY_POLICY’. Did you mean: ‘X509_V_FLAG_EXPLICIT_POLICY’?

any insgiht would be helpful.

Thanks in advance

Regards CJ